Skip to main content
GET
/
rankings
List Rankings
curl --request GET \
  --url https://padelapi.org/api/rankings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "self": "<string>",
      "name": "<string>",
      "category": "<string>",
      "nationality": "<string>",
      "type": "<string>",
      "ranking": 123,
      "ranking_diff": 123,
      "points": 123,
      "points_diff": 123,
      "date": "<string>",
      "connections": {
        "rankings": "<string>"
      }
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 123,
    "from": 123,
    "last_page": 123,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 123,
    "to": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://padelapi.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string> | null

Ranking type. Either official or race.

Available options:
official,
race
category
enum<string> | null

Category of the players. Either men or women.

Available options:
men,
women
nationality
string | null

2 letters country-code to filter the players by nationality.

Required string length: 2
date
string<date> | null

Date (YYYY-MM-DD) for which the ranking is requested. Defaults to the latest available snapshot.

sort_by
enum<string> | null

Name of the parameter to sort the rankings by. Use ranking_diff or points_diff to surface the biggest movers of the week.

Available options:
ranking,
points,
ranking_diff,
points_diff
order_by
enum<string> | null

Order of the sorting, either asc or desc.

Available options:
asc,
desc

Response

Paginated set of PlayerRankingResource

data
PlayerRankingResource ยท object[]
required
meta
object
required